Class | Bio::Blast::Report::Hit
In: | lib/bio/appl/blast/report.rb
Parent: | Object

Bio::Blast::Report::Hit

### Methods

bit_score each evalue identity lap_at midline new overlap percent_identity query_end query_seq query_start target_end target_seq target_start

### External Aliases

accession | -> | target_id
| Compatible method with Bio::Fasta::Report::Hit class.
definition | -> | target_def
| Compatible method with Bio::Fasta::Report::Hit class.
len | -> | target_len
| Compatible method with Bio::Fasta::Report::Hit class.

### Attributes

accession | [RW] | Accession
definition | [RW] | Definition line of subject
hit_id | [RW] | SeqId of subject
hsps | [R] | Returns an Array of Bio::Blast::Report::Hsp objects.
len | [RW] | Length of subject
num | [RW] | Hit number
query_def | [RW] | Compatible method with Bio::Fasta::Report::Hit class.
query_id | [RW] | Compatible method with Bio::Fasta::Report::Hit class.
query_len | [RW] | Compatible method with Bio::Fasta::Report::Hit class.

### Public Class methods

new()

[Source]

         # File lib/bio/appl/blast/report.rb, line 251
    251:     def initialize
    252:       @hsps = []
    253:     end

### Public Instance methods

bit_score()

[Source]

         # File lib/bio/appl/blast/report.rb, line 293
    293:     def bit_score;        @hsps.first.bit_score;        end

each() {|x| ...}

Iterates on each Hsp object.

[Source]

         # File lib/bio/appl/blast/report.rb, line 270
    270:     def each
    271:       @hsps.each do |x|
    272:         yield x
    273:       end
    274:     end

evalue()

Shortcut methods for the best Hsp, some are also compatible with Bio::Fasta::Report::Hit class.

[Source]

         # File lib/bio/appl/blast/report.rb, line 292
    292:     def evalue;           @hsps.first.evalue;           end

identity()

[Source]

         # File lib/bio/appl/blast/report.rb, line 294
    294:     def identity;         @hsps.first.identity;         end

lap_at()

[Source]

         # File lib/bio/appl/blast/report.rb, line 306
    306:     def lap_at
    307:       [ query_start, query_end, target_start, target_end ]
    308:     end

midline()

[Source]

         # File lib/bio/appl/blast/report.rb, line 300
    300:     def midline;          @hsps.first.midline;          end

overlap()

[Source]

         # File lib/bio/appl/blast/report.rb, line 296
    296:     def overlap;          @hsps.first.align_len;        end

percent_identity()

[Source]

         # File lib/bio/appl/blast/report.rb, line 295
    295:     def percent_identity; @hsps.first.percent_identity; end

query_end()

[Source]

         # File lib/bio/appl/blast/report.rb, line 303
    303:     def query_end;        @hsps.first.query_to;         end

query_seq()

[Source]

         # File lib/bio/appl/blast/report.rb, line 298
    298:     def query_seq;        @hsps.first.qseq;             end

query_start()

[Source]

         # File lib/bio/appl/blast/report.rb, line 302
    302:     def query_start;      @hsps.first.query_from;       end

target_end()

[Source]

         # File lib/bio/appl/blast/report.rb, line 305
    305:     def target_end;       @hsps.first.hit_to;           end

target_seq()

[Source]

         # File lib/bio/appl/blast/report.rb, line 299
    299:     def target_seq;       @hsps.first.hseq;             end

target_start()

[Source]

         # File lib/bio/appl/blast/report.rb, line 304
    304:     def target_start;     @hsps.first.hit_from;         end

[Validate]